/****************************************************************************************

		Explode.r

		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

		Author:	Guillaume Chermette
		Date:	08/23/99

		Revision History

		when		who			what & why
		==========	==========	======================================================

*****************************************************************************************/

#include "External3DAPI.r"
#include "Copyright.h"
#include "ExplodeDef.h"
#include "InterfaceIDs.h"

#ifndef qUsingResourceLinker
include "Explode.rsr";
#endif


resource 'COMP' (143) {
	kRID_ModifierFamilyID,
	'COex',
	"SDK Exploder",
	"SDK Examples",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'GUID' (143) 
{
	{
		R_IID_I3DExModifier,         /*I3DExModifier*/
		R_CLSID_Explode
	}            
};

resource 'PMap' (143) {
	{	/* 5 UI elements plus 2 elements to save BBox */
		'MINS', 're32' ,1, "Facets Size", "",
		'EXPL', 're32', 1, "Explosion Factor", "",
		'FLOO', 're32', 0, "Floor", "",
		'GRCO', 're32', 1, "Gravity Coef", "",
		'AGRV', 'bool', 0, "Apply Gravity", "",
		'bmin', 'vec3', noFlags, "", "",
		'bmax', 'vec3', noFlags, "", ""
	}
};



